import { Component, ViewChild, ViewEncapsulation } from "@angular/core";
import {
  ScheduleComponent,
  DayService,
  WeekService,
  WorkWeekService,
  MonthService,
  AgendaService,
  DragAndDropService,
  TimelineViewsService,
  GroupModel,
  TimelineMonthService,
  MonthAgendaService,
  ResizeService,
  EventSettingsModel,
  View
} from "@syncfusion/ej2-angular-schedule";

@Component({
  selector: "app-root",
  templateUrl: "app.component.html",
  styleUrls: ["app.component.css"],
  encapsulation: ViewEncapsulation.None,
  providers: [
    TimelineViewsService,
    TimelineMonthService,
    ResizeService,
    DragAndDropService,
    DayService,
    WeekService,
    WorkWeekService,
    MonthService,
    AgendaService,
    MonthAgendaService
  ]
})

export class AppComponent {
  public selectedDate: Date = new Date(2018, 3, 1);
  public currentView: View = "Week";
  public group: GroupModel = {
    resources: ["Owners"]
  };
  public resourceDataSource: Object[] = [
    { text: "Jammy", id: 1, color: "#ea7a57" },
    { text: "Tweety", id: 2, color: "#7fa900" },
    { text: "Nestle", id: 3, color: "#5978ee" },
    { text: "Phoenix", id: 4, color: "#fec200" },
    { text: "Mission", id: 5, color: "#df5286" }
  ];
  public allowMultiple: Boolean = true;

  @ViewChild("scheduleObj")
  public scheduleObj: ScheduleComponent;
  public eventSettings: EventSettingsModel = {
    dataSource: [
      {
        Id: 1,
        Subject: "Workflow Analysis",
        StartTime: new Date(2018, 3, 1, 9, 30),
        EndTime: new Date(2018, 3, 1, 12, 0),
        IsAllDay: false,
        GroupId: 1
      },
      {
        Id: 2,
        Subject: "Requirement planning",
        StartTime: new Date(2018, 3, 1, 12, 30),
        EndTime: new Date(2018, 3, 1, 14, 45),
        IsAllDay: false,
        GroupId: 2
      },
      {
        Id: 3,
        Subject: "Quality Analysis",
        StartTime: new Date(2018, 3, 2, 10, 0),
        EndTime: new Date(2018, 3, 2, 12, 30),
        IsAllDay: false,
        GroupId: 3
      },
      {
        Id: 4,
        Subject: "Resource planning",
        StartTime: new Date(2018, 3, 2, 13, 0),
        EndTime: new Date(2018, 3, 2, 15, 30),
        IsAllDay: false,
        GroupId: 4
      },
      {
        Id: 5,
        Subject: "Timeline estimation",
        StartTime: new Date(2018, 3, 3, 9, 0),
        EndTime: new Date(2018, 3, 3, 11, 30),
        IsAllDay: false,
        GroupId: 5
      },
      {
        Id: 6,
        Subject: "Developers Meeting",
        StartTime: new Date(2018, 3, 3, 14, 0),
        EndTime: new Date(2018, 3, 3, 16, 45),
        IsAllDay: false,
        GroupId: 1
      },
      {
        Id: 7,
        Subject: "Project Review",
        StartTime: new Date(2018, 3, 4, 11, 15),
        EndTime: new Date(2018, 3, 4, 13, 0),
        IsAllDay: false,
        GroupId: 2
      }
    ]
  };
}
